
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                          <h3 class="card-title text-uppercase">Listado de antenas</h3>
                          <div class="d-flex justify-content-end">
                            <a href="{% url 'app_equipos:antenas_new' %}">
                              <button class="btn btn-secondary" style="font-size: 14px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; font-weight: 600;">
                                <i class="fa fa-network-wired"></i><span>Agregar antena</span>
                              </button>
                            </a>
                          </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay antenas registradas</div>           
                          {% else %}

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" style="font-size: small;">
                                <!-- <th>ID</th> -->
                                <th>MARCA</th>
                                <th>IP EXTERNA</th> 
                                <th>GATEWAY</th>
                                <th>EMISORA</th>
                                <th>CLIENTE</th>  
                                <th>SEÑAL ACTUAL</th>                                                                                                 
                                <!-- <th>SEÑAL MINIMA</th> -->
                                                                                      
                                <th>ACCIONES</th>
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}
                                  <!-- registros de clientes -->
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                    
                                      <!-- <td>{{ item.id }}</td> -->

                                      {% if item.marca %}
                                        <td>{{ item.marca }}</td>
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.ip_externa %}
                                        <td>{{ item.ip_externa }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %} 

                                      {% if item.gateway %}
                                        <td>{{ item.gateway }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.emisora %}
                                        <td>{{ item.emisora }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}
                                      
                                      {% if item.cliente %}
                                        <td>{{ item.cliente }}</td>
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.signal_actual %}
                                        <td>{{ item.signal_actual }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %} 

                                      <!-- {% if item.signal_min %}
                                        <td>{{ item.signal_min }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}  -->
                                                                                                                                                                                      
                                      <td>
                                        <a href="{% url 'app_equipos:antenas_edit' item.id %}">
                                          <button class="btn btn-primary bg-warning btn-outline-light">
                                            <i class="fa fa-edit"></i>
                                          </button>
                                        </a>
                                        
                                        <a href="{% url 'app_equipos:antenas_delete' item.id %}">
                                          <button class="btn btn-primary bg-danger btn-outline-light">
                                            <i class="fa fa-trash-alt"></i>
                                          </button>                                                                              
                                        </a>
                                      </td>                                                                      
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}

    
    